/*
	         Java RayTracer
	     By Dean Camera, 2008
	http://www.fourwalledcubicle.com
*/

public class CollisionDetails
{
	private Vector3D         CollisionLocation;
	private ColorVector      CollisionColor;
	private float            CollisionDepth;
	private Vector3D         CollisionNormal;
	private ITraceableObject CollisionObject;

	public CollisionDetails(ITraceableObject CObject, Vector3D Location, float Delta, ColorVector PixelColor, Vector3D Normal)
	{
		CollisionLocation = Location;
		CollisionColor = PixelColor;
		CollisionDepth = Delta;
		CollisionNormal = Normal;
		CollisionObject = CObject;
	}

	public Vector3D GetCollisionPoint()
	{
		return CollisionLocation;
	}

	public ColorVector GetCollisionColor()
	{
		return CollisionColor;
	}

	public float GetCollisionDepth()
	{
		return CollisionDepth;
	}

	public Vector3D GetCollisionNormal()
	{
		return CollisionNormal;
	}
	
	public ITraceableObject GetCollisionObject()
	{
		return CollisionObject;
	}
}