/*
	         Java RayTracer
	     By Dean Camera, 2008
	http://www.fourwalledcubicle.com
*/

public abstract class Constants
{
	// Viewer size
	public static final int SCREEN_WIDTH  = 1100;
	public static final int SCREEN_HEIGHT = 700;

	// Scene to render
	public static final Scene SCENE_TO_RENDER = SCENE_Balls.CreateScene();

	// Eye Position - change Z value to alter perspective
	public static final Vector3D EYE_LOCATION = new Vector3D(SCREEN_WIDTH / 2, SCREEN_HEIGHT / 2, 1000);
	
	// Recursion level for reflective objects
	public static final int RECURSION_LEVEL = 3;
	
	// Lines to render per thread invocation
	public static final int RENDER_LINES_PER_THREAD = 5;

	// Super sampling on all rays (neighboring pixels)
	public static final int SUPER_SAMPLE = 0;
	
	// Super sampling delta for each sample from the primary ray origin
	public static final float SUPER_SAMPLE_DELTA = .1f;

	// Refraction Index of scene
	public static final float SCENE_REFRACT_INDEX = 1.0f;
	
	// Distance from given point for new rays - must be non-zero to prevent intersection errors
	public static final float EPSILON = 0.1f;
	
	// Specular light component multiplier (fudge-factor)
	public static final float SPECULAR_ADJUST = 10;

	// Specular light component exponent (fudge-factor)
	public static final int SPECULAR_ADJUST_POWER = 3;

	// Diffuse light component multiplier (fudge-factor)
	public static final float DIFFUSE_ADJUST  = 2;
}