/*
	         Java RayTracer
	     By Dean Camera, 2008
	http://www.fourwalledcubicle.com
*/

public class Scene
{
	private ITraceableObject[] SceneObjects;
	private ILightingObject[] SceneLights;
	private ColorVector BackgroundColor;
	private ColorVector AmbientLight;
	private String SceneName;

	Scene(String SceneName, ITraceableObject[] SceneObjects, ILightingObject[] SceneLights, ColorVector BackgroundColor, ColorVector AmbientLight)
	{
		this.SceneName = SceneName;
		this.SceneObjects = SceneObjects;
		this.SceneLights = SceneLights;
		this.BackgroundColor = BackgroundColor;
		this.AmbientLight = AmbientLight;
	}

	public ITraceableObject[] GetSceneObjects()
	{
		return SceneObjects;
	}

	public ILightingObject[] GetSceneLights()
	{
		return SceneLights;
	}

	public ColorVector GetAmbientLight()
	{
		return AmbientLight;
	}

	public ColorVector GetBackgroundColor()
	{
		return BackgroundColor;
	}

	public String GetSceneName()
	{
		return SceneName;
	}
}

