/*
	         Java RayTracer
	     By Dean Camera, 2008
	http://www.fourwalledcubicle.com
*/

public class TexChecker implements ITexture
{
	private ColorVector TexColor1;
	private ColorVector TexColor2;
	private int         Checkers;

	public TexChecker(ColorVector TexColor1, ColorVector TexColor2, int Checkers)
	{
		this.TexColor1 = TexColor1;
		this.TexColor2 = TexColor2;
		this.Checkers  = Checkers;
	}

	public TexChecker(ColorVector TexColor1, int Checkers)
	{
		this(TexColor1, StdColors.GetNextColor(), Checkers);
	}

	public TexChecker(int Checkers)
	{
		this(StdColors.GetNextColor(), StdColors.GetNextColor(), Checkers);
	}

	public ColorVector GetUVMappedColor(float U, float V)
	{
		boolean Uon = (((int)(U * Checkers) & 1) == 1);
		boolean Von = (((int)(V * Checkers) & 1) == 1);
		
		if (U < 0)
		  Uon = !Uon;
		  
		if (V < 0)
		  Von = !Von;

		if (Uon ^ Von)
			return TexColor1;
		else
			return TexColor2;
	}
}